local function doFadeWipe(state)
    fadeWipe = celeste.FadeWipe(engine.Scene, state, nil) -- (state = "false" escurece ,"true" clareia)
    engine.Scene:Add(fadeWipe)
    fadeWipe.duration = 1.5
    fadeWipe.EndTimer = 0
  end


function onBegin()

  if getFlag("deeperwell_in") then
    doFadeWipe(true)
    wait(0.6)
    enableMovement()
    enablePause()
    setFlag("deeperwell_in", false)

  end

end